import { OnInit, ElementRef, OnChanges, SimpleChange } from '@angular/core';
import { GooMapsApiService } from '../service/goo-maps-api.service';
export declare class GooInfoWindow implements OnInit, OnChanges {
    private gooMapsApi;
    private elementRef;
    isOpen: boolean;
    private promiseInfoWindow;
    private marker;
    private content;
    constructor(gooMapsApi: GooMapsApiService, elementRef: ElementRef);
    ngOnChanges(changes: {
        [propertyName: string]: SimpleChange;
    }): void;
    ngOnInit(): void;
    setMarker(marker: any): void;
    open(): void;
    close(): void;
}
