import { OnChanges, OnDestroy, SimpleChange, OnInit, EventEmitter } from '@angular/core';
import { GooMapsApiService } from '../service/goo-maps-api.service';
export declare class GooRectangle implements OnChanges, OnInit, OnDestroy {
    private gooMapsApi;
    bounds: any;
    boundsChanged: EventEmitter<any>;
    draggable: boolean;
    editable: boolean;
    private promiseRectangle;
    constructor(gooMapsApi: GooMapsApiService);
    ngOnChanges(changes: {
        [propertyName: string]: SimpleChange;
    }): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    onBoundsChanged(bounds: any): void;
}
