import { GoogleMapsLoader } from './goo-maps-loader.service';
export declare class GooMapsApiService {
    private googleMapsApi;
    private zeroLatLng;
    private zeroZoom;
    private promiseMap;
    private _promiseMapResolver;
    constructor(googleMapsApi: GoogleMapsLoader);
    init(mapId: any, mapOptions: any): void;
    setMapOptions(options: google.maps.MapOptions): void;
    fitMapBounds(bounds: any): void;
    setCenter(latLng: any): void;
    getMap(): Promise<google.maps.Map>;
    buildMarker(options: any): Promise<google.maps.Marker>;
    buildPolyline(options: any): Promise<google.maps.Polyline>;
    buildRectangle(options: any): Promise<google.maps.Rectangle>;
    buildInfoWindow(options?: any): Promise<google.maps.InfoWindow>;
}
