import { OnInit, OnDestroy, OnChanges, SimpleChange, EventEmitter } from '@angular/core';
import { GooMapsApiService } from '../service/goo-maps-api.service';
import { LatLng } from '../interface/definitions';
export declare class GooMarker implements OnInit, OnChanges, OnDestroy {
    private gooMapsApi;
    position: LatLng;
    positionChange: EventEmitter<any>;
    title: string;
    draggable: boolean;
    label: string;
    private infoWindow;
    private promiseMarker;
    constructor(gooMapsApi: GooMapsApiService);
    ngOnChanges(changes: {
        [propertyName: string]: SimpleChange;
    }): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    onPositionChange(position: any): void;
    setDraggable(draggable: boolean): void;
    setPosition(position: LatLng): void;
    setTitle(title: string): void;
    setLabel(label: string): void;
}
